Upstream information

CVE-2019-0221 at MITRE

Description

The SSI printenv command in Apache Tomcat 9.0.0.M1 to 9.0.0.17, 8.5.0 to 8.5.39 and 7.0.0 to 7.0.93 echoes user provided data without escaping and is, therefore, vulnerable to XSS. SSI is disabled by default. The printenv command is intended for debugging and is unlikely to be present in a production website.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 6.3
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Changed Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1136085 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
HPE-Helion-OpenStack-8-2020-1498
SUSE Enterprise Storage 5
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-Storage-5-2020-1498
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • tomcat >= 9.0.21-3.13.2
  • tomcat-admin-webapps >= 9.0.21-3.13.2
  • tomcat-docs-webapp >= 9.0.21-3.13.2
  • tomcat-el-3_0-api >= 9.0.21-3.13.2
  • tomcat-javadoc >= 9.0.21-3.13.2
  • tomcat-jsp-2_3-api >= 9.0.21-3.13.2
  • tomcat-lib >= 9.0.21-3.13.2
  • tomcat-servlet-4_0-api >= 9.0.21-3.13.2
  • tomcat-webapps >= 9.0.21-3.13.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • tomcat >= 9.0.21-4.5.5
  • tomcat-docs-webapp >= 9.0.21-4.5.5
  • tomcat-embed >= 9.0.21-4.5.5
  • tomcat-javadoc >= 9.0.21-4.5.5
  • tomcat-jsvc >= 9.0.21-4.5.5
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-1895
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • tomcat >= 9.0.20-3.24.2
  • tomcat-docs-webapp >= 9.0.20-3.24.2
  • tomcat-embed >= 9.0.20-3.24.2
  • tomcat-javadoc >= 9.0.20-3.24.2
  • tomcat-jsvc >= 9.0.20-3.24.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-1693
SUSE Linux Enterprise Module for Web Scripting 15 SP1
  • tomcat >= 9.0.21-4.5.5
  • tomcat-admin-webapps >= 9.0.21-4.5.5
  • tomcat-el-3_0-api >= 9.0.21-4.5.5
  • tomcat-jsp-2_3-api >= 9.0.21-4.5.5
  • tomcat-lib >= 9.0.21-4.5.5
  • tomcat-servlet-4_0-api >= 9.0.21-4.5.5
  • tomcat-webapps >= 9.0.21-4.5.5
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP1-2019-1895
SUSE Linux Enterprise Module for Web Scripting 15
  • tomcat >= 9.0.20-3.24.2
  • tomcat-admin-webapps >= 9.0.20-3.24.2
  • tomcat-el-3_0-api >= 9.0.20-3.24.2
  • tomcat-jsp-2_3-api >= 9.0.20-3.24.2
  • tomcat-lib >= 9.0.20-3.24.2
  • tomcat-servlet-4_0-api >= 9.0.20-3.24.2
  • tomcat-webapps >= 9.0.20-3.24.2
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-2019-1693
SUSE Linux Enterprise Point of Sale 11 SP3
  • tomcat6 >= 6.0.53-0.57.16.1
  • tomcat6-admin-webapps >= 6.0.53-0.57.16.1
  • tomcat6-docs-webapp >= 6.0.53-0.57.16.1
  • tomcat6-javadoc >= 6.0.53-0.57.16.1
  • tomcat6-jsp-2_1-api >= 6.0.53-0.57.16.1
  • tomcat6-lib >= 6.0.53-0.57.16.1
  • tomcat6-servlet-2_5-api >= 6.0.53-0.57.16.1
  • tomcat6-webapps >= 6.0.53-0.57.16.1
Patchnames:
sleposp3-tomcat6-14375
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1498
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • tomcat6 >= 6.0.53-0.57.16.1
  • tomcat6-admin-webapps >= 6.0.53-0.57.16.1
  • tomcat6-docs-webapp >= 6.0.53-0.57.16.1
  • tomcat6-javadoc >= 6.0.53-0.57.16.1
  • tomcat6-jsp-2_1-api >= 6.0.53-0.57.16.1
  • tomcat6-lib >= 6.0.53-0.57.16.1
  • tomcat6-servlet-2_5-api >= 6.0.53-0.57.16.1
  • tomcat6-webapps >= 6.0.53-0.57.16.1
Patchnames:
slessp4-tomcat6-14375
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • tomcat >= 8.0.53-10.43.1
  • tomcat-admin-webapps >= 8.0.53-10.43.1
  • tomcat-docs-webapp >= 8.0.53-10.43.1
  • tomcat-el-3_0-api >= 8.0.53-10.43.1
  • tomcat-javadoc >= 8.0.53-10.43.1
  • tomcat-jsp-2_3-api >= 8.0.53-10.43.1
  • tomcat-lib >= 8.0.53-10.43.1
  • tomcat-servlet-3_1-api >= 8.0.53-10.43.1
  • tomcat-webapps >= 8.0.53-10.43.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2020-1497
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1498
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1498
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-1498
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1498
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1498
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1498
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • tomcat >= 9.0.21-3.13.2
  • tomcat-admin-webapps >= 9.0.21-3.13.2
  • tomcat-docs-webapp >= 9.0.21-3.13.2
  • tomcat-el-3_0-api >= 9.0.21-3.13.2
  • tomcat-javadoc >= 9.0.21-3.13.2
  • tomcat-jsp-2_3-api >= 9.0.21-3.13.2
  • tomcat-lib >= 9.0.21-3.13.2
  • tomcat-servlet-4_0-api >= 9.0.21-3.13.2
  • tomcat-webapps >= 9.0.21-3.13.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1866
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • tomcat >= 8.0.53-10.43.1
  • tomcat-admin-webapps >= 8.0.53-10.43.1
  • tomcat-docs-webapp >= 8.0.53-10.43.1
  • tomcat-el-3_0-api >= 8.0.53-10.43.1
  • tomcat-javadoc >= 8.0.53-10.43.1
  • tomcat-jsp-2_3-api >= 8.0.53-10.43.1
  • tomcat-lib >= 8.0.53-10.43.1
  • tomcat-servlet-3_1-api >= 8.0.53-10.43.1
  • tomcat-webapps >= 8.0.53-10.43.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2020-1497
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-1498
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1498
SUSE OpenStack Cloud 7
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-1498
SUSE OpenStack Cloud 8
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1498
SUSE OpenStack Cloud Crowbar 8
  • tomcat >= 8.0.53-29.27.1
  • tomcat-admin-webapps >= 8.0.53-29.27.1
  • tomcat-docs-webapp >= 8.0.53-29.27.1
  • tomcat-el-3_0-api >= 8.0.53-29.27.1
  • tomcat-javadoc >= 8.0.53-29.27.1
  • tomcat-jsp-2_3-api >= 8.0.53-29.27.1
  • tomcat-lib >= 8.0.53-29.27.1
  • tomcat-servlet-3_1-api >= 8.0.53-29.27.1
  • tomcat-webapps >= 8.0.53-29.27.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1498
openSUSE Leap 15.0
  • tomcat >= 9.0.20-lp150.2.19.1
  • tomcat-admin-webapps >= 9.0.20-lp150.2.19.1
  • tomcat-docs-webapp >= 9.0.20-lp150.2.19.1
  • tomcat-el-3_0-api >= 9.0.20-lp150.2.19.1
  • tomcat-embed >= 9.0.20-lp150.2.19.1
  • tomcat-javadoc >= 9.0.20-lp150.2.19.1
  • tomcat-jsp-2_3-api >= 9.0.20-lp150.2.19.1
  • tomcat-jsvc >= 9.0.20-lp150.2.19.1
  • tomcat-lib >= 9.0.20-lp150.2.19.1
  • tomcat-servlet-4_0-api >= 9.0.20-lp150.2.19.1
  • tomcat-webapps >= 9.0.20-lp150.2.19.1
Patchnames:
openSUSE-2019-1673
openSUSE Leap 15.1
  • tomcat >= 9.0.21-lp151.3.3.1
  • tomcat-admin-webapps >= 9.0.21-lp151.3.3.1
  • tomcat-docs-webapp >= 9.0.21-lp151.3.3.1
  • tomcat-el-3_0-api >= 9.0.21-lp151.3.3.1
  • tomcat-embed >= 9.0.21-lp151.3.3.1
  • tomcat-javadoc >= 9.0.21-lp151.3.3.1
  • tomcat-jsp-2_3-api >= 9.0.21-lp151.3.3.1
  • tomcat-jsvc >= 9.0.21-lp151.3.3.1
  • tomcat-lib >= 9.0.21-lp151.3.3.1
  • tomcat-servlet-4_0-api >= 9.0.21-lp151.3.3.1
  • tomcat-webapps >= 9.0.21-lp151.3.3.1
Patchnames:
openSUSE-2019-1808


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15 Module for Web and Scripting tomcat Released
SUSE Linux Enterprise 15-SP1 Module for Web and Scripting tomcat Released
SUSE Linux Enterprise High Performance Computing 12 SP4 tomcat Released
SUSE Linux Enterprise Server 11 SP1 tomcat6 Released
SUSE Linux Enterprise Server 11 SP3 tomcat6 Released
SUSE Linux Enterprise Server 12 LTSS tomcat Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS tomcat Released
SUSE Linux Enterprise Server 12 SP2 BCL tomcat Released
SUSE Linux Enterprise Server 12 SP2 LTSS tomcat Released
SUSE Linux Enterprise Server 12 SP3 tomcat Affected
SUSE Linux Enterprise Server 12 SP3 BCL tomcat Released
SUSE Linux Enterprise Server 12 SP3 LTSS tomcat Released
SUSE Linux Enterprise Server 12 SP4 tomcat Released
SUSE Linux Enterprise Server for SAP Applications 12 tomcat Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 tomcat Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 tomcat Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 tomcat Released